Skip to main content
GET
/
v1
/
provider-kyc
/
{providerId}
Get Provider KYC
curl --request GET \
  --url https://api.monime.io/v1/provider-kyc/{providerId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.monime.io/v1/provider-kyc/{providerId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.monime.io/v1/provider-kyc/{providerId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "success": true,
  "messages": [
    "<unknown>"
  ],
  "result": {
    "account": {
      "id": "<string>",
      "name": "<string>",
      "holderName": "<string>",
      "metadata": {}
    },
    "provider": {
      "id": "m17",
      "type": "momo",
      "name": "Orange Money"
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer HTTP authentication specified with the header Authorization: Bearer <access_token>

Path Parameters

providerId
string
required

The ID of the provider as identified by Monime.

Query Parameters

accountId
string
required

The ID of the account in the provider's ecosystem'.

Response

200 - application/json

OK

success
boolean

Represents the status of the query operation, confirming if it was successful. This field is always true

messages
any[]

Contains a list of messages providing relevant information or feedback related to the query or operation

result
Provider KYC · object

A Provider KYC object represents the know-your-customer (KYC) information retrieved from a financial provider (e.g., Mobile Money operator, Bank).